CVE-2017-14120

NameCVE-2017-14120
Descriptionunrar 0.0.1 (aka unrar-free or unrar-gpl) suffers from a directory traversal vulnerability for RAR v2 archives: pathnames of the form ../[filename] are unpacked into the upper directory.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1091-1, DLA-2567-1
NVD severitymedium
Debian Bugs874059

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
unrar-free (PTS)stretch1:0.0.1+cvs20140707-1vulnerable
stretch (security)1:0.0.1+cvs20140707-1+deb9u1fixed
buster, bullseye1:0.0.1+cvs20140707-4fixed
bookworm, sid1:0.0.2-0.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
unrar-freesourcewheezy1:0.0.1+cvs20071127-2+deb7u1DLA-1091-1
unrar-freesourcestretch1:0.0.1+cvs20140707-1+deb9u1DLA-2567-1
unrar-freesource(unstable)1:0.0.1+cvs20140707-2874059

Notes

[jessie] - unrar-free <no-dsa> (Minor issue)
https://www.openwall.com/lists/oss-security/2017/08/20/1
Proposed patch: https://bugs.debian.org/cgi-bin/bugreport.cgi?att=1;bug=874059;filename=874059.diff.txt;msg=29

Search for package or bug name: Reporting problems